[WMDE-Fundraising] Add Comment
Closed, ResolvedPublic20 Story Points

Description

Append a comment to the donation data.

  • All payment types except UEB (bank transfer), because we want to have a validated payment.
  • After a donation (but not membership), the user is being asked for a comment.
  • Can only be submitted

URL: https://test.wikimedia.de/ajax.php?module=action&action=addComment

Request body:

  • kommentar=I+love+giving+my+moneys+to+Wikimedia+Germany
  • eintrag=Generous+guy
  • public=1
  • tracking=
  • source=web
  • referrer=https%3A%2F%2Ftest.wikimedia.de%2Fspenden%2F
  • wikilogin=
  • layout=form%3D10h16_Form1
  • color=
  • impCount=0
  • bImpCount=0
  • skin=10h16
  • token=1276888%2459b42194b31d0265df452735f6438a234bae2af8
  • sid=2343
  • utoken=b5b249c8beefb986faf8d186a3f16e86ef509ab3
  • PHPSESSID=nsh4hui3055nl76v9873invn33

Error Response: {"status":"ERR","message":"Der Datensatz kann nicht mehr ver\u00e4ndert werden. Bitte wenden Sie sich an unsere Hotline."}
Success response: {"status":"OK","message":"Something"}

Relevant fields: kommentar, public, eintrag, token, utoken, sid

Tobi_WMDE_SW set Security to None.
Tobi_WMDE_SW edited a custom field.
JeroenDeDauw edited the task description. (Show Details)Feb 3 2016, 9:44 PM
WMDE-leszek edited the task description. (Show Details)Feb 8 2016, 10:14 AM

This seems to have been finished. Can someone double check?

Also, currently we're checking to see if token is not empty, but further don't do anything with it. Can we just drop this parameter, or should we do something meaningful with it?

token is not used for adding the comment, but for the Paypal donation, where we need non-expiring token validation. For the comment we can drop it IMHO.

Tobi_WMDE_SW closed this task as "Resolved".Apr 7 2017, 11:26 AM
Tobi_WMDE_SW claimed this task.
Restricted Application added a project: WMDE-Fun-Team. · View Herald TranscriptApr 7 2017, 11:26 AM